Introduction
 Top Next

Tandem 2 may be distributed and used free of charge provided that the author is acknowledged in any publication.

Tandem 2 is offered solely as an aid to accelerator operation. The results are believed to be reliable, but Oxford Microbeams Ltd. does not accept any responsibility for loss, damage or injury arising from the use of this software.

TANDEM 2.2

G.W. Grime 2019

gwg@microbeams.co.uk

18/11/2019: Version 2.2 Update with minor internal improvements

Description
Quick start
Software reference


Description
 Previous Top Next

TANDEM 2 is a program to assist with the generation of heavy ion beams from tandem accelerators. It was written for use with an HVEE 2MV Tandetron accelerator, but could be used with any machine.

TANDEM 2 can do the following:

· For each charge stage calculate the terminal voltage required to give a beam of a required energy.

· For each charge state calculate the terminal voltage required to give a beam with a required magnetic rigidity.

· For each charge state calculate the rigidity and energy generated by a given terminal voltage.

· For all options calculate the charge state spectrum [1] and the excitations of beamline devices such as steering magnets and quadrupoles.

The injected ion can be any molecular species.

The results can be saved as CSV files.

[1] The expressions for charge fractions are from here (a copy of this is provided in the installation folder).


Getting started

Install the TANDEM 2.0 software
Run the 'standard' self-extracting installation file. After installation, start the program.

Set up the beamline configuration
You can:

EITHER
Load the supplied demonstration file.
This is Demo System.XML which is installed in the same folder as the EXE file.
Use File > Load beamlines to locate and load this file.
This defines a system with
· Two sources (Duoplasmatron, Sputter source)
· Injection magnet
· Switcher magnet
· One beamline (microbeam with two quadrupole power supplies

Now go to the example .

OR
Define a configuration to match your own setup:
This is done in two stages:
1. Define the ions sources and beamlines on your accelerator.
2. Define the user-controlled parameters of magnets or quadrupoles on each beamline.

1. Define ion sources and high energy beamlines
Each ion source and high energy beamline on the machine must be defined here.

· Click Setup | Configure from the main menu

· For each ion source and beamine:
Click New

Select whether it is a source or a HE beamline and enter a description and a unique sequence number.

Use Delete to remove a beamline

2. Define device parameters on the beamlines
Defining device parameters allows TANDEM 2.0 to calculate their value for each ion and charge state. Examples include switcher magnet current or field, electrostatic plate voltage in Wien filters.

· Click Setup | Configure from the main menu

·
· Select the beamline from the list
· For each device parameter on the beamline:
1. Click New

2. Enter a description of the parameter and click OK:

3. Select the new parameter and click the Configuration tab

4. Select whether the device is magnetic or electrostatic.

5. Enter the Units (text string), the number of decimal places to display and the maximum value for the parameter.

6. Click Update device (This is important!!)

7. Select the Calibration tab

8. Enter the calibration constant calculated from the parameter value observed using ions of known energy, mass and charge. Use signed values if this is appropriate (e.g. for switcher magnets).

The calculator button simplifies this calculation:

Enter the true value of the power supply parameter used, together with the ion species and actual energy at the element, select the correct Magnetic or Electrostatic tab, then press Calculate. Press Use this value to transfer the calibration constant to the configuration table.

9. Click Update Device (This is important!!)

When all devices have been defined click OK. The configuration data is saved in the computer registry. Configurations can be saved and loaded using File | Load or Save configuration.

The program is now ready for operation.
Now go to the example .


Using Tandem 2.0

Example: To calculate the terminal voltage required to generate 8 MeV O16 beams from injected OH- ions.

Select the source and beamline to be used.
1. Enter the extraction voltage.
2. Enter the ion species (use the chemical formula, e.g. H, O H, N H 3).
3. Enter the isotope numbers of each atom in the molecule in the table. The program will look up the true atomic mass for each ion. The program will not handle mixed isotope molecules (e.g. H D ).
4. Select the stripper type (gas or foil)
5. Enter the stripper energy loss (if known). This can usually be approximated to zero.
6. Enter a measured calibration factor for the generating voltmeter (or 1.00).
7. Enter the maximum terminal voltage for the machine.
8. Enter the required ion (Symbol + mass number, e.g. O16). This must appear in the isotope table for the source.
9. Select the calculation required and enter the target value of the required energy, rigidity or terminal voltage.
10. Click GO!

The program displays a table of beam parameters and device parameters for each charge state. Values in red are above the limit for that parameter.

The Charge state tab shows a plot of the charge state spectrum


Software reference

· Under construction


Development history
 Previous Top

Date | Bug fix, New feature Code re-org | Version | Description
12-03-2013 |  | 2.00.035 | First release version
19-11-2019 | B C | 2.2.096 | Compiler upgrade to Embarcadero C++ Builder 10.3 Rio. Use of registry for configuration storage.


Using Tandem 2.0

Example: To calculate the terminal voltage required to generate 8 MeV O16 beams from injected OH- ions.

Select the source and beamline to be used.
1. Enter the extraction voltage.
2. Enter the ion species (use the chemical formula, e.g. H, O H, N H 3).
3. Enter the isotope numbers of each atom in the molecule in the table. The program will look up the true atomic mass for each ion. The program will not handle mixed isotope molecules (e.g. H D ).
4. Select the stripper type (gas or foil)
5. Enter the stripper energy loss (if known). This can usually be approximated to zero.
6. Enter a measured calibration factor for the generating voltmeter (or 1.00).
7. Enter the maximum terminal voltage for the machine.
8. Enter the required ion (Symbol + mass number, e.g. O16). This must appear in the isotope table for the source.
9. Select the calculation required and enter the target value of the required energy, rigidity or terminal voltage.
10. Click GO!

The program displays a table of beam parameters and device parameters for each charge state. Values in red are above the limt for that parameter.

The Charge state tab shows a plot of the charge state spectrum